Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157352 - .ics import crashes Evolution
Summary: .ics import crashes Evolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 20:41 UTC by Edward Rousseau
Modified: 2015-04-12 23:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 12:17:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
fedora .ics file (deleted)
2005-05-10 20:41 UTC, Edward Rousseau
no flags Details
Backtrace for ics import (deleted)
2005-05-10 20:43 UTC, Edward Rousseau
no flags Details
Debug bt (deleted)
2005-05-10 21:37 UTC, Edward Rousseau
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:238 normal SHIPPED_LIVE Low: evolution security update 2005-05-19 04:00:00 UTC

Description Edward Rousseau 2005-05-10 20:41:31 UTC
Description of problem:
RHEL 3 u5 re0428.0 x86_64

Importing the Fedora Release .ics into an evolution calendar crashes evolution.

Version-Release number of selected component (if applicable):
evolution-1.4.5-12

How reproducible:
Always

Steps to Reproduce:
1. Import Fedora Core 4 release .ics. Keep type at "Automatic"
2. Click ok to import to folder (either deafault or new calendar)
3. Watch it go BOOM.
  
Actual results:
segv

Expected results:
Calendar imported

Additional info:
I am attaching a backtrace. Also the last message in the console that started
evolution reads:
"icalvalue.c:481: icalvalue_new_from_string got an unknown value type"

Comment 1 Edward Rousseau 2005-05-10 20:41:31 UTC
Created attachment 114225 [details]
fedora .ics file

Comment 2 Edward Rousseau 2005-05-10 20:43:57 UTC
Created attachment 114226 [details]
Backtrace for ics import

Comment 3 Dave Malcolm 2005-05-10 21:01:48 UTC
Is this specific to RHEL3 U5, or is it reproducable with earlier versions of
RHEL3 evolution?

Comment 4 Dave Malcolm 2005-05-10 21:15:52 UTC
Also, please install debuginfo packages and resubmit the bug.

(The bug appears to be in C code generated using a Perl script, so having a more
precise backtrace will be helpful.  Thanks)

Comment 5 Dave Malcolm 2005-05-10 21:16:19 UTC
"regenerate the backtrace" I meant to say

Comment 6 Edward Rousseau 2005-05-10 21:37:43 UTC
Created attachment 114229 [details]
Debug bt

This did not seem to add much by way of info but here it is.

Comment 7 Edward Rousseau 2005-05-10 21:39:52 UTC
This behavior was not present in an earlier U5 build (re0309 - re0311 first beta).

Comment 8 Dave Malcolm 2005-05-11 03:25:48 UTC
Appears to be bogus code in ical_property_string_to_enum; looking at the
disassembly, access to the "enum_map" variable looks broken.

Looks a lot like bug 157354; I currently believe this to be another symptom of
the same cause (contradictory linkage specified for that symbol); am doing a
test build of a fix.

 

Comment 9 Dave Malcolm 2005-05-11 17:25:58 UTC
Successfully reproduced the crash on shalashaska with evolution-1.4.5-12.x86_64

Comment 10 Dave Malcolm 2005-05-11 17:55:54 UTC
Verified that it works on shalashaska with evolution-1.4.5-14.x86_64



Comment 11 Tim Powers 2005-05-19 12:17:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-238.html



Note You need to log in before you can comment on or make changes to this bug.